## GdauiDataProxyInfo

GdauiDataProxyInfo — Shows information & actions about a GdauiDataProxy widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_data_proxy_info_new ()

## Types and Values

struct | GdauiDataProxyInfo
enum | GdauiDataProxyInfoFlag

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

The GdauiDataProxyInfo widget is a container widget which, depending on how it is configured:

- proposes action buttons to change the currently displayed row, add new row, ...

- displays information about the number of rows in a GdauiDataProxy

## Functions

### gdaui_data_proxy_info_new ()

    GtkWidget *
    gdaui_data_proxy_info_new (GdauiDataProxy *data_proxy,
                               GdauiDataProxyInfoFlag flags);

Creates a new GdauiDataProxyInfo widget suitable to display information about `data_proxy`

#### Parameters

data_proxy | a widget implementing the GdauiDataProxy interface |
flags | OR'ed values, specifying what to display in the new widget |

#### Returns

the new widget.

[transfer full]

Since: 4.2

## Types and Values

### struct GdauiDataProxyInfo

    struct GdauiDataProxyInfo {
    	GtkBox                 object;

    	GdauiDataProxyInfoPriv *priv;
    };

### enum GdauiDataProxyInfoFlag

#### Members

GDAUI_DATA_PROXY_INFO_NONE |  |
GDAUI_DATA_PROXY_INFO_CURRENT_ROW |  |
GDAUI_DATA_PROXY_INFO_ROW_MODIFY_BUTTONS |  |
GDAUI_DATA_PROXY_INFO_ROW_MOVE_BUTTONS |  |
GDAUI_DATA_PROXY_INFO_CHUNCK_CHANGE_BUTTONS |  |
GDAUI_DATA_PROXY_INFO_NO_FILTER |  |